# Uses of Class
org.apache.lucene.internal.hppc.LongObjectHashMap

Packages that use LongObjectHashMap
Package
Description
org.apache.lucene.internal.hppc
Internal copy of a subset of classes from the HPPC library.

## Uses of LongObjectHashMap in org.apache.lucene.internal.hppc

Methods in org.apache.lucene.internal.hppc that return LongObjectHashMap
Modifier and Type
Method
Description
`LongObjectHashMap<VType>`
LongObjectHashMap.`clone()`
`static <VType> LongObjectHashMap<VType>`
LongObjectHashMap.`from(long[] keys, VType[] values)`
Creates a hash map from two index-aligned arrays of key-value pairs.
Methods in org.apache.lucene.internal.hppc with parameters of type LongObjectHashMap
Modifier and Type
Method
Description
`protected boolean`
LongObjectHashMap.`equalElements(LongObjectHashMap<?> other)`
Return true if all keys of some other container exist in this container.
Constructors in org.apache.lucene.internal.hppc with parameters of type LongObjectHashMap
Modifier
Constructor
Description
``
`LongObjectHashMap(LongObjectHashMap<VType> map)`
Create a hash map from all key-value pairs of another map.